From 8675330680a5d1c8ffae0565a9ba4382fdee908a Mon Sep 17 00:00:00 2001
From: "John K. Harvey" <john.harvey@crunchydata.com>
Date: Tue, 26 Jul 2016 11:07:15 -0400
Subject: [PATCH] MSVC pl-perl error message is not verbose enough

---
 src/tools/msvc/Mkvcbuild.pm | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/tools/msvc/Mkvcbuild.pm b/src/tools/msvc/Mkvcbuild.pm
index fe905d3..bb73485 100644
--- a/src/tools/msvc/Mkvcbuild.pm
+++ b/src/tools/msvc/Mkvcbuild.pm
@@ -587,7 +587,9 @@ sub mkvcbuild
 		}
 		else
 		{
-			die "could not identify perl library version";
+			die 'Could not find suitable perl*.lib file (not DLL) in Perl search-path: ' .
+			    $solution->{options}->{perl} .
+                            '\lib\CORE';
 		}
 
 		# Add transform module dependent on plperl
-- 
2.5.0

